class ColorCode < Formula
  desc "Free advanced MasterMind clone"
  homepage "http://colorcode.laebisch.com/"
  url "http://colorcode.laebisch.com/download/ColorCode-0.8.5.tar.gz"
  sha256 "7c128db12af6ab11439eb710091b4a448100553a4d11d3a7c8dafdfbc57c1a85"
  license "GPL-3.0-or-later"
  revision 2

  livecheck do
    url "http://colorcode.laebisch.com/download"
    regex(/href=.*?ColorCode[._-]v?(\d+(?:\.\d+)+)\.t/i)
  end

  depends_on "qt@5"

  on_linux do
    depends_on "gcc"
  end

  fails_with gcc: "5"

  def install
    qt5 = Formula["qt@5"].opt_prefix
    system "#{qt5}/bin/qmake"
    system "make"

    if OS.mac?
      prefix.install "ColorCode.app"
      bin.write_exec_script "#{prefix}/ColorCode.app/Contents/MacOS/colorcode"
    else
      bin.install "colorcode"
    end
  end

  test do
    system "#{bin}/colorcode", "-h"
  end
end
